> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# workflowtriggertype

> MDO provider for the WorkflowTriggerType enum

## "workflowtriggertype" MDO List

MDO provider for the WorkflowTriggerType enum

Implemented by the <see cref="T:SuperOffice.CRM.Lists.WorkflowTriggerTypeProvider">WorkflowTriggerTypeProvider</see> class.
The name of the MDO list is 'workflowtriggertype'.

## Sample Request

```http! theme={null}
GET /api/v1/MDOList/workflowtriggertype
Authorization: Basic dGplMDpUamUw
Accept: application/json; charset=utf-8
Accept-Language: *

```

## Sample Code

```cs theme={null}
var listProvider = ClassFactory.CreateRequired<SuperOffice.CRM.Lists.ISoListProviderFactory>().Create("workflowtriggertype", forceFlatList: true);
foreach (var item in listProvider.RootItems) {
    Console.WriteLine("{0} {1} {2} {3}", 
         item.Id, ResourceManager.ParseInlineResources(item.Name), item.StyleHint, item.ExtraInfo);
}
```

## Sample Output

| Id | Name                                         | StyleHint | ExtraInfo |
| -- | -------------------------------------------- | --------- | --------- |
| 8  | RC.SR\_WORKFLOWTRIGGERTYPE\_ADDEDMESSAGE     |           |           |
| 3  | RC.SR\_WORKFLOWTRIGGERTYPE\_ADDEDTOPROJECT   |           |           |
| 6  | RC.SR\_WORKFLOWTRIGGERTYPE\_ADDEDTOSELECTION |           |           |
| 1  | RC.SR\_WORKFLOWTRIGGERTYPE\_CONTACTCREATED   |           |           |
| 2  | RC.SR\_WORKFLOWTRIGGERTYPE\_CONTACTUPDATED   |           |           |
| 4  | RC.SR\_WORKFLOWTRIGGERTYPE\_CREATEDREQUEST   |           |           |
| 7  | RC.SR\_WORKFLOWTRIGGERTYPE\_FORMSUBMITTED    |           |           |
| 5  | RC.SR\_WORKFLOWTRIGGERTYPE\_LINKCLICKED      |           |           |
| 10 | RC.SR\_WORKFLOWTRIGGERTYPE\_ORDERPLACED      |           |           |
| 11 | RC.SR\_WORKFLOWTRIGGERTYPE\_SALECREATED      |           |           |
| 13 | RC.SR\_WORKFLOWTRIGGERTYPE\_SALELOST         |           |           |
| 12 | RC.SR\_WORKFLOWTRIGGERTYPE\_SALESOLD         |           |           |
| 9  | RC.SR\_WORKFLOWTRIGGERTYPE\_STARTEDCHAT      |           |           |

## Related MDO Lists

* "workflowtriggertypeheadings"
* "workflowtriggertypeheadingswithallitem"
* "workflowtriggertypeheadingswithallitemwithnoselection"
* "workflowtriggertypeheadingswithnoselection"
* "workflowtriggertypewithallitem"
* "workflowtriggertypewithallitemwithnoselection"
* "workflowtriggertypewithnoselection"


## Related topics

- [Enum WorkflowTriggerType](/en/automation/crmscript/reference/CRMScript.NetServer.WorkflowTriggerType.md)
- [Enum values for WorkflowTriggerType](/en/database/tables/enums/workflowtriggertype.md)
- [SuperOffice.WebApi.Data.WorkflowTriggerType](/en/api/reference/webapi/SuperOffice.WebApi.Data.WorkflowTriggerType.md)
- [MDO List Provider names](/en/api/mdo-providers/reference/index.md)
- [SuperOffice.WebApi.Data.WorkflowTrigger](/en/api/reference/webapi/SuperOffice.WebApi.Data.WorkflowTrigger.md)
- [workflowsplitoptiontype](/en/api/mdo-providers/reference/workflowsplitoptiontype.md)
